import { globalLookup } from "@/hook/global";
import { updateCurrentGroups } from "./manage-group";
import { makeSaveViewPayload } from "@/hook/recover";
import { saveViewApi } from "@/api";

export function onUpdate() {
    globalLookup.render();
    updateCurrentGroups();
    // 保存视图
    // TODO: 优化：仅保存视图
    const savePath = globalLookup.originFile + '.view';
    const payload = makeSaveViewPayload();
    saveViewApi(savePath, payload);
}
